## mp3check 0.7.3

=== Makefile ===
# use this on big-endian machines (like m68k, PowerPC, MIPS and Sparc)
# CPPFLAGS   = -DBIGENDIAN
# CXXFLAGS   = -O2 -Wall
CXXFLAGS   = -O2

# use correct linker in implicit rule (c++ or g++)
CC=$(CXX)

# Edited for Debian GNU/Linux by Klaus Kettner (kk@debian.org)
DESTDIR    =
BIN        = $(DESTDIR)/usr/bin

TARGET     = mp3check

OBJECTS    = crc16.o id3tag.o mp3check.o tappconfig.o tstring.o tfiletools.o

${TARGET} : ${OBJECTS}

clean :
	rm -f ${OBJECTS} ${TARGET} ${TARGET}.exe core *~

# debian install target
install : mp3check
	install -d $(BIN)
	install ./mp3check $(BIN)
	install -d $(DESTDIR)/usr/share/doc/mp3check
	install -m 644 -p FAQ TODO THANKS CHANGES-Khali HISTORY $(DESTDIR)/usr/share/doc/mp3check

# red hat package target
spec:
	sed -e "s/^\(Version:\).*/\1 $(VER)/" $(TARGET).spec > $(TARGET).spec.new || true
	mv -f $(TARGET).spec.new $(TARGET).spec || true
