=== debian/control ===
Source: mp3check
Section: sound
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://code.google.com/p/mp3check/

Package: mp3check
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mpg321
Description: tool to check mp3 files for consistency
 Prints several errors and warnings concerning the consistency of mp3 files.
 Lists stream attributes (color). Layer 1,2,3, mpeg1.0+2.0 are currently
 supported.  CRC check for layer 3.
 .
 mp3check is very useful for incomplete mp3 detection as it can be used to
 scan through your mp3 collection and find all mp3s that aren't perfect. Good
 for use with many file sharing systems.
