=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# Get the hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -fno-strict-aliasing

%:
	dh $@

override_dh_auto_build:
	# Explicitly set buildsystem since "configure" is a custom script that does not do much.
	dh_auto_build --buildsystem=makefile -- CC='$$(CXX)'

override_dh_installman:
	dh_installman mp3check.1
