=== debian/watch ===
version=4
https://code.google.com/p/mp3check/downloads/list .*/mp3check-(.*)\.tgz
